Summary: notify senders about email that has been held in the qmail queue
%define name smeserver-qmail-notify
Name: %{name}
%define version 2.0.0
%define release 6
Version: %{version}
Release: %{release}
License: GPLv2+
Group: Networking/Info
Source: %{name}-%{version}.tar.xz
Packager: Peter Schubert <psc@s-a-c-o.de>
URL: http://www.saco-support.de/SME
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-base
Requires: smeserver-lib 
Requires: perl
Requires: qmail-notify

AutoReqProv: no
%description
This package provides templates for a  program to notify senders 
about email that has been held in the qmail queue

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.0.0-6.sme
- Fix e-smith references in smeserver-qmail-notify [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.0.0-5.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Sep 27 2021 Brian Read <brianr@bjsystems.co.uk> 2.0.0-4.sme
- Fix up createlinks to create update event [SME: 11542 ]

* Mon Sep 27 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 2.0.0-3.sme
- Fix timing in cron template - Zsolt Vasarhelyi [SME: 11542]

* Thu Sep 23 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 2.0.0-2.sme
- Fix typo in cron template - Zsolt Vasarhelyi [SME:11542]

* Fri Apr 09 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 2.0.0-1.sme
- First Import to SME Contribs [SME: 11542]
- Template crontab
- DB configuration enabled, hours, nminutes, alt filename

* Thu Aug 29 2002 Peter Schubert <psc@s-a-c-o.de> 1.0.0-01
- First release

%prep

%setup

%build

perl createlinks

rm -rf $RPM_BUILD_ROOT

(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%pre

%post
/sbin/e-smith/expand-template /etc/crontab

%preun

%postun
